<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<title>AMC13: Behavioral Architecture  Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">AMC13
   </div>
   <div id="projectbrief">Firmwares for the different applications of the AMC13 uTCA board made at Boston University</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.1 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li class="current"><a href="annotated.html"><span>Design&#160;Unit&#160;List</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Design&#160;Unit&#160;List</span></a></li>
      <li><a href="classes.html"><span>Design&#160;Units</span></a></li>
      <li><a href="inherits.html"><span>Design&#160;Unit&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Design&#160;Unit&#160;Members</span></a></li>
    </ul>
  </div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Variables</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="classS6Link__ADAPT__TOP__DFE.html">S6Link_ADAPT_TOP_DFE</a></li><li class="navelem"><a class="el" href="classS6Link__ADAPT__TOP__DFE_1_1Behavioral.html">Behavioral</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-attribs">Public Attributes</a>  </div>
  <div class="headertitle">
<div class="title">Behavioral Architecture Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><a href="classS6Link__ADAPT__TOP__DFE_1_1Behavioral-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="Processes"></a>
Processes</h2></td></tr>
 <tr class="memitem:adafd4f1f2927269c61bc434552e6fe4a"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="adafd4f1f2927269c61bc434552e6fe4a"></a>
<a class="el" href="classS6Link__ADAPT__TOP__DFE_1_1Behavioral.html#adafd4f1f2927269c61bc434552e6fe4a">PROCESS_816</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">DCLK</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span></b> )</b></td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="Components"></a>
Components</h2></td></tr>
 <tr class="memitem:a456de2c400d8d73eaff0629befd41cd7"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a456de2c400d8d73eaff0629befd41cd7"></a>
<a class="el" href="classS6Link__ADAPT__TOP__DFE_1_1Behavioral.html#a456de2c400d8d73eaff0629befd41cd7">S6Link_adapt_starter</a>&#160;</td><td class="memItemRight" valign="bottom">  <b></b>  <em><a class="el" href="classS6Link__adapt__starter.html">&lt;Entity S6Link_adapt_starter&gt; </a></em></td></tr>
<tr class="memitem:abfe7d7dadcb908e2221d90ec3196236b"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="abfe7d7dadcb908e2221d90ec3196236b"></a>
<a class="el" href="classS6Link__ADAPT__TOP__DFE_1_1Behavioral.html#abfe7d7dadcb908e2221d90ec3196236b">S6Link_ctle_agc_comp</a>&#160;</td><td class="memItemRight" valign="bottom">  <b></b>  <em><a class="el" href="classS6Link__ctle__agc__comp.html">&lt;Entity S6Link_ctle_agc_comp&gt; </a></em></td></tr>
<tr class="memitem:a4ac62e233c71ba843c0ea93a823f0b67"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a4ac62e233c71ba843c0ea93a823f0b67"></a>
<a class="el" href="classS6Link__ADAPT__TOP__DFE_1_1Behavioral.html#a4ac62e233c71ba843c0ea93a823f0b67">S6Link_agc_loop_fsm</a>&#160;</td><td class="memItemRight" valign="bottom">  <b></b>  <em><a class="el" href="classS6Link__agc__loop__fsm.html">&lt;Entity S6Link_agc_loop_fsm&gt; </a></em></td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="Signals"></a>
Signals</h2></td></tr>
 <tr class="memitem:ad21312592cee5d9e54dd5b1e0318c4ba"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ad21312592cee5d9e54dd5b1e0318c4ba"></a>
<a class="el" href="classS6Link__ADAPT__TOP__DFE_1_1Behavioral.html#ad21312592cee5d9e54dd5b1e0318c4ba">rst</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a876676bf15b22b4f8c74ddd672472fdb"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a876676bf15b22b4f8c74ddd672472fdb"></a>
<a class="el" href="classS6Link__ADAPT__TOP__DFE_1_1Behavioral.html#a876676bf15b22b4f8c74ddd672472fdb">start_done</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ac4c7007e1b80c9723fc75769d36ce4b0"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ac4c7007e1b80c9723fc75769d36ce4b0"></a>
<a class="el" href="classS6Link__ADAPT__TOP__DFE_1_1Behavioral.html#ac4c7007e1b80c9723fc75769d36ce4b0">done_pre</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:acf3202120a9359b4e255868da3ca8954"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="acf3202120a9359b4e255868da3ca8954"></a>
<a class="el" href="classS6Link__ADAPT__TOP__DFE_1_1Behavioral.html#acf3202120a9359b4e255868da3ca8954">lock_done</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a3da454dc5f336b4a81c40a7481e8f7be"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a3da454dc5f336b4a81c40a7481e8f7be"></a>
<a class="el" href="classS6Link__ADAPT__TOP__DFE_1_1Behavioral.html#a3da454dc5f336b4a81c40a7481e8f7be">ctle3_done</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a33c1e54b4d36c000f5f7f6f6e188cfd1"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a33c1e54b4d36c000f5f7f6f6e188cfd1"></a>
<a class="el" href="classS6Link__ADAPT__TOP__DFE_1_1Behavioral.html#a33c1e54b4d36c000f5f7f6f6e188cfd1">en_b</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a4474156d0de4c02cf0ea017e7bdfb30f"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a4474156d0de4c02cf0ea017e7bdfb30f"></a>
<a class="el" href="classS6Link__ADAPT__TOP__DFE_1_1Behavioral.html#a4474156d0de4c02cf0ea017e7bdfb30f">daddr_starter</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">8</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:aae5c91331fa83c8233e0604ea3ab397d"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aae5c91331fa83c8233e0604ea3ab397d"></a>
<a class="el" href="classS6Link__ADAPT__TOP__DFE_1_1Behavioral.html#aae5c91331fa83c8233e0604ea3ab397d">den_starter</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a999e0749f1a9d7da3ea19c838a8e311e"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a999e0749f1a9d7da3ea19c838a8e311e"></a>
<a class="el" href="classS6Link__ADAPT__TOP__DFE_1_1Behavioral.html#a999e0749f1a9d7da3ea19c838a8e311e">dwe_starter</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a9602a15731781b055eb300fcbc6c08d8"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a9602a15731781b055eb300fcbc6c08d8"></a>
<a class="el" href="classS6Link__ADAPT__TOP__DFE_1_1Behavioral.html#a9602a15731781b055eb300fcbc6c08d8">daddr_lock</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">8</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a15c213c4f6cdb860929fb920308e06f2"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a15c213c4f6cdb860929fb920308e06f2"></a>
<a class="el" href="classS6Link__ADAPT__TOP__DFE_1_1Behavioral.html#a15c213c4f6cdb860929fb920308e06f2">den_lock</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ac05bd52d3257cde01c5bddc94482791d"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ac05bd52d3257cde01c5bddc94482791d"></a>
<a class="el" href="classS6Link__ADAPT__TOP__DFE_1_1Behavioral.html#ac05bd52d3257cde01c5bddc94482791d">dwe_lock</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a1cb19167df80b92b7c2ea83abaabfb7c"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a1cb19167df80b92b7c2ea83abaabfb7c"></a>
<a class="el" href="classS6Link__ADAPT__TOP__DFE_1_1Behavioral.html#a1cb19167df80b92b7c2ea83abaabfb7c">di_lock</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">15</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ac84d51b949121a6bfb6237f3191f7d37"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ac84d51b949121a6bfb6237f3191f7d37"></a>
<a class="el" href="classS6Link__ADAPT__TOP__DFE_1_1Behavioral.html#ac84d51b949121a6bfb6237f3191f7d37">daddr_ctle</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">8</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:adfeeaca21ebd20f02d0ffd2cfad8df74"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="adfeeaca21ebd20f02d0ffd2cfad8df74"></a>
<a class="el" href="classS6Link__ADAPT__TOP__DFE_1_1Behavioral.html#adfeeaca21ebd20f02d0ffd2cfad8df74">den_ctle</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:aea768f75281c5347f588c2fecd34001d"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aea768f75281c5347f588c2fecd34001d"></a>
<a class="el" href="classS6Link__ADAPT__TOP__DFE_1_1Behavioral.html#aea768f75281c5347f588c2fecd34001d">dwe_ctle</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a488636157dbff9685b0c86f77337bfaf"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a488636157dbff9685b0c86f77337bfaf"></a>
<a class="el" href="classS6Link__ADAPT__TOP__DFE_1_1Behavioral.html#a488636157dbff9685b0c86f77337bfaf">di_ctle</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">15</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a216fcfc21e9542a4c02680fb7d60a606"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a216fcfc21e9542a4c02680fb7d60a606"></a>
<a class="el" href="classS6Link__ADAPT__TOP__DFE_1_1Behavioral.html#a216fcfc21e9542a4c02680fb7d60a606">holds</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">3</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a1868a8f3970967781ddd72e3b9840bdd"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a1868a8f3970967781ddd72e3b9840bdd"></a>
<a class="el" href="classS6Link__ADAPT__TOP__DFE_1_1Behavioral.html#a1868a8f3970967781ddd72e3b9840bdd">rst_lock</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a3338a3e7653253bed315df0b88ee0b25"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a3338a3e7653253bed315df0b88ee0b25"></a>
<a class="el" href="classS6Link__ADAPT__TOP__DFE_1_1Behavioral.html#a3338a3e7653253bed315df0b88ee0b25">rst_ctle</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a418c498c3dcb1c70bdd9042134cc7bef"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a418c498c3dcb1c70bdd9042134cc7bef"></a>
<a class="el" href="classS6Link__ADAPT__TOP__DFE_1_1Behavioral.html#a418c498c3dcb1c70bdd9042134cc7bef">rst_ctle_b</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a9a34396dc099c5236f3589be6f7ce4ac"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a9a34396dc099c5236f3589be6f7ce4ac"></a>
<a class="el" href="classS6Link__ADAPT__TOP__DFE_1_1Behavioral.html#a9a34396dc099c5236f3589be6f7ce4ac">rst_ctle_pre</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:abb30dd26fea689bbbf28cf43a120ac9b"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="abb30dd26fea689bbbf28cf43a120ac9b"></a>
<a class="el" href="classS6Link__ADAPT__TOP__DFE_1_1Behavioral.html#abb30dd26fea689bbbf28cf43a120ac9b">lock_done_r</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a5ac543ae1c1907cb34ef63bfdb2e0b06"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a5ac543ae1c1907cb34ef63bfdb2e0b06"></a>
<a class="el" href="classS6Link__ADAPT__TOP__DFE_1_1Behavioral.html#a5ac543ae1c1907cb34ef63bfdb2e0b06">lock_done_r2</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:af9859613be195912b485ed31a1fbd94b"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="af9859613be195912b485ed31a1fbd94b"></a>
<a class="el" href="classS6Link__ADAPT__TOP__DFE_1_1Behavioral.html#af9859613be195912b485ed31a1fbd94b">lock_state</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">3</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:aa5b07a78930d116dbe46c00cf4bf55ba"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aa5b07a78930d116dbe46c00cf4bf55ba"></a>
<a class="el" href="classS6Link__ADAPT__TOP__DFE_1_1Behavioral.html#aa5b07a78930d116dbe46c00cf4bf55ba">lock_count</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">31</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:aa1897d748bc931cbeaba67e49483dec6"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aa1897d748bc931cbeaba67e49483dec6"></a>
<a class="el" href="classS6Link__ADAPT__TOP__DFE_1_1Behavioral.html#aa1897d748bc931cbeaba67e49483dec6">lock0</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:aed487dd352d55eba487966673219d152"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aed487dd352d55eba487966673219d152"></a>
<a class="el" href="classS6Link__ADAPT__TOP__DFE_1_1Behavioral.html#aed487dd352d55eba487966673219d152">lock1</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a2be5473927a81116fe5f4756216d7da7"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a2be5473927a81116fe5f4756216d7da7"></a>
<a class="el" href="classS6Link__ADAPT__TOP__DFE_1_1Behavioral.html#a2be5473927a81116fe5f4756216d7da7">lock2</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a68f8bc25ad947b3976e89acf94011d01"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a68f8bc25ad947b3976e89acf94011d01"></a>
<a class="el" href="classS6Link__ADAPT__TOP__DFE_1_1Behavioral.html#a68f8bc25ad947b3976e89acf94011d01">lock3</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:aeca3ab5f7c1f2238f954ec5742a883ff"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aeca3ab5f7c1f2238f954ec5742a883ff"></a>
<a class="el" href="classS6Link__ADAPT__TOP__DFE_1_1Behavioral.html#aeca3ab5f7c1f2238f954ec5742a883ff">starter_state</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">3</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a5898049611096cc7f9498a8fb0eebc78"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a5898049611096cc7f9498a8fb0eebc78"></a>
<a class="el" href="classS6Link__ADAPT__TOP__DFE_1_1Behavioral.html#a5898049611096cc7f9498a8fb0eebc78">starter_count</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">2</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a303f869f49030f7722c1dbb33ddd2c9d"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a303f869f49030f7722c1dbb33ddd2c9d"></a>
<a class="el" href="classS6Link__ADAPT__TOP__DFE_1_1Behavioral.html#a303f869f49030f7722c1dbb33ddd2c9d">starter_rst_int</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a5798686ebc5dd69262967ea9f7cbccda"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a5798686ebc5dd69262967ea9f7cbccda"></a>
<a class="el" href="classS6Link__ADAPT__TOP__DFE_1_1Behavioral.html#a5798686ebc5dd69262967ea9f7cbccda">ctle_state</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">3</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:afeff47607039a2444cf9b4733aaf42b9"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="afeff47607039a2444cf9b4733aaf42b9"></a>
<a class="el" href="classS6Link__ADAPT__TOP__DFE_1_1Behavioral.html#afeff47607039a2444cf9b4733aaf42b9">lock_done_rise</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:abd7cb9463758d8ef32417845617728ea"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="abd7cb9463758d8ef32417845617728ea"></a>
<a class="el" href="classS6Link__ADAPT__TOP__DFE_1_1Behavioral.html#abd7cb9463758d8ef32417845617728ea">done_reg</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="Instantiations"></a>
Instantiations</h2></td></tr>
 <tr class="memitem:acb8debd841b80341b9486b92e003d951"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="acb8debd841b80341b9486b92e003d951"></a>
<a class="el" href="classS6Link__ADAPT__TOP__DFE_1_1Behavioral.html#acb8debd841b80341b9486b92e003d951">i_starter</a>&#160;</td><td class="memItemRight" valign="bottom">  <b>S6Link_adapt_starter</b>  <em><a class="el" href="classS6Link__adapt__starter.html">&lt;Entity S6Link_adapt_starter&gt;</a></em></td></tr>
<tr class="memitem:a2b511ddac8b5681eb0b345fc0d275bf3"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a2b511ddac8b5681eb0b345fc0d275bf3"></a>
<a class="el" href="classS6Link__ADAPT__TOP__DFE_1_1Behavioral.html#a2b511ddac8b5681eb0b345fc0d275bf3">i_lock</a>&#160;</td><td class="memItemRight" valign="bottom">  <b>S6Link_agc_loop_fsm</b>  <em><a class="el" href="classS6Link__agc__loop__fsm.html">&lt;Entity S6Link_agc_loop_fsm&gt;</a></em></td></tr>
<tr class="memitem:a0dd101158a7f09e235f8525dbd311e5e"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a0dd101158a7f09e235f8525dbd311e5e"></a>
<a class="el" href="classS6Link__ADAPT__TOP__DFE_1_1Behavioral.html#a0dd101158a7f09e235f8525dbd311e5e">i_ctle</a>&#160;</td><td class="memItemRight" valign="bottom">  <b>S6Link_ctle_agc_comp</b>  <em><a class="el" href="classS6Link__ctle__agc__comp.html">&lt;Entity S6Link_ctle_agc_comp&gt;</a></em></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock">
<p>Definition at line <a class="el" href="s6link__adapt__top__dfe_8vhd_source.html#l00106">106</a> of file <a class="el" href="s6link__adapt__top__dfe_8vhd_source.html">s6link_adapt_top_dfe.vhd</a>.</p>
</div><hr/>The documentation for this class was generated from the following files:<ul>
<li>/work/dan/AMC13/amc13-fw/src/common/IPBUS/S6Link/<a class="el" href="s6link__adapt__top__dfe_8vhd_source.html">s6link_adapt_top_dfe.vhd</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Wed Sep 8 2021 11:22:44 for AMC13 by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.1
</small></address>
</body>
</html>
